#include <iostream>
#include <bits/stdc++.h>

using namespace std;

int main()
{

    int n;
    cin>>n;
    long double a[n],b[n],p=0,d=0;
    for(int i=0;i<n;i++)
    {
        cin>>a[i]>>b[i];

    }

    for(int j=0;j<n;j++)
    {
        if(d<p) d=p;
         p=0;
      for(int z=0;z<n;z++)
      {
         if(b[j]<=b[z])
         {
            p+=a[z]*b[j]/100;
         }
      }
    }
    cout << fixed;
    cout<<std::setprecision(4)<<d<<endl;

    return 0;

}